curl --request POST \
--url https://b.anny.co/api/v1/business-account-members/{business_account_member_id}/promote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role": "admin"
}
'{
"data": {
"id": "<string>",
"type": "business-account-members",
"attributes": {
"role": "owner",
"status": "linked",
"source": "<string>",
"email_domain": "<string>",
"invite_email": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"links": {
"self": "<string>"
},
"relationships": {
"business_account": {
"data": {
"type": "<string>",
"id": "<string>"
}
},
"customer_account": {
"data": {
"type": "<string>",
"id": "<string>"
}
}
}
}
}Account
Promote a business account member
Promote an active member to admin or owner.
POST
/
api
/
v1
/
business-account-members
/
{business_account_member_id}
/
promote
curl --request POST \
--url https://b.anny.co/api/v1/business-account-members/{business_account_member_id}/promote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role": "admin"
}
'{
"data": {
"id": "<string>",
"type": "business-account-members",
"attributes": {
"role": "owner",
"status": "linked",
"source": "<string>",
"email_domain": "<string>",
"invite_email": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"links": {
"self": "<string>"
},
"relationships": {
"business_account": {
"data": {
"type": "<string>",
"id": "<string>"
}
},
"customer_account": {
"data": {
"type": "<string>",
"id": "<string>"
}
}
}
}
}Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Pfadparameter
Business account member UUID
Body
application/json
Verfügbare Optionen:
admin, owner Antwort
200 - application/vnd.api+json
Promoted membership
A membership linking a customer account to a business account.
Show child attributes
Show child attributes